RK-A2 - Feature #3616

Extension: Personal functionality - enable user to store highlighted content in GCS bucket

06/17/2024 06:57 AM - Ram Kordale

Status: Review

Priority: High

Assignee: Ayanava Karmakar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/17/2024

100%
1.50 hour
0.00 hour

Description

If config.js has "Personal” set to true, and it is not a Youtube page, when user highlights content, show two options 'Store in KB' and
'Copy'. If user chooses to store in KB, store the highlighted content in yyyymmhhmmss.txt in GCS bucket <env>-scraped-content,

where <env> is "edutestdev"”, "edutestga” or "prod" in the following format:

URL: <url>
Content: <highlighted content>

PS: You could reuse the code from our earlier RHS Pilot's 'Explain'/'Copy' logic.

History

#1 - 06/18/2024 05:29 AM - Ayanava Karmakar
- Estimated time set to 1.00 h

#2 - 06/18/2024 09:15 AM - Dewakar Chaubey

- Status changed from New to In Progress

#3 - 06/18/2024 12:06 PM - Ram Kordale
- Description updated

#4 - 06/18/2024 12:09 PM - Ram Kordale
- Description updated

#5 - 06/18/2024 12:18 PM - Ayanava Karmakar
- Estimated time changed from 1.00 h to 1.50 h

#6 - 06/19/2024 05:34 AM - Dewakar Chaubey
- Assignee set to Dewakar Chaubey

- % Done changed from 0 to 80

#7 - 07/02/2024 05:37 AM - Ayanava Karmakar
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#8 - 07/02/2024 05:37 AM - Ayanava Karmakar

- Status changed from Resolved to Review

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar
